Changeset 79146 in spip-zone


Ignore:
Timestamp:
Dec 4, 2013, 5:52:28 PM (6 years ago)
Author:
cedric@…
Message:

correction de la RegExp? qui embarquait possiblement trop de contenu pour l'autolien
+ petites corrections CSS sur les contenus riches
+ on laisse tomber la compat SPIP 2.1

Location:
_plugins_/oembed
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/oembed/css/oembed.css

    r59536 r79146  
    1313
    1414/* Oembed generique */
    15 .oembed.oe-rich {display: block;background: #fff;padding: 10px;border: 1px solid #eee;margin: 1em 0;}
     15.oembed.oe-rich {display: block;background: #f8f8f8;padding: 10px;border: 1px solid #eee;margin: 1em 0;text-align: left}
    1616.oembed.oe-link.oe-rich .oe-html {display: block;}
    1717.oe-rich > blockquote {font-style: normal;}
  • _plugins_/oembed/oembed_pipelines.php

    r79141 r79146  
    192192        if (stripos($texte,"<a")!==false
    193193                AND lire_config('oembed/embed_auto','oui')!='non') {
    194                 preg_match_all(",(\r?\n\r?\n)(<a\b[^>]*>.*</a>)(\r?\n\r?\n),Uims",$texte,$matches,PREG_SET_ORDER);
     194                preg_match_all(",(\r?\n\r?\n)(<a\b[^>]*>[^\r\n]*</a>)(\r?\n\r?\n),Uims",$texte,$matches,PREG_SET_ORDER);
    195195                if (count($matches)){
    196196
  • _plugins_/oembed/paquet.xml

    r79141 r79146  
    22        prefix="oembed"
    33        categorie="multimedia"
    4         version="1.0.1"
     4        version="1.0.2"
    55        etat="test"
    6         compatibilite="[2.1.0;3.0.*]"
     6        compatibilite="[3.0.0;3.0.*]"
    77        logo="prive/themes/spip/images/oembed-32.png"
    88        schema="0.4.0"
  • _plugins_/oembed/plugin.xml

    r79141 r79146  
    88        </auteur>
    99        <version>
    10         1.0.1
     10        1.0.2
    1111        </version>
    1212        <etat>
     
    6464<!-- manque aussi le menu -->
    6565        <necessite id='tw' version='[0.8.19;]' />
    66         <necessite id="SPIP" version="[2.1.0;3.0.99]" />
     66        <necessite id="SPIP" version="[3.0.0;3.0.99]" />
    6767        <categorie>multimedia</categorie>
    6868</plugin>
Note: See TracChangeset for help on using the changeset viewer.